{% extends "siswa/userbase.html.twig" %}

{% block body %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Guruku
        {% endblock %}
    {% endembed %}
    {% embed 'siswa/bottomNavBar.html.twig' %}
        {% set state = 6 %}
    {% endembed %}
    <div class="tab-content" id="pills-tabContent">
        <div class="tab-pane fade show active" id="pesanan" role="tabpanel" aria-labelledby="pills-home-tab">
            <section class="mt-3" id="pesanan-panel">
                <div class="scrolling-wrapper ">
                    <div style="border: none !important;" class="items pl-3">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="all" value="all"
                               checked>
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="all">
                            <p class="mb-0 f08">Semua</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="menunggu" value="0">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="menunggu">
                            <p class="mb-0 f08">Menunggu</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="aktif"
                               value="1">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="aktif">
                            <p class="mb-0 f08">Aktif</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="selesai"
                               value="9">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="selesai">
                            <p class="mb-0 f08">Selesai</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="batal" value="6">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="batal">
                            <p class="mb-0 f08">Batal</p>
                        </label>
                    </div>
                </div>
            </section>
            <section class="container-fluid mt-3" id="panel-transaction">
            </section>
        </div>
        <div class="tab-pane fade" id="pembayaran" role="tabpanel" aria-labelledby="pills-profile-tab">
            <div class="container-fluid mt-2 mb-2">
                <div class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor); height: 50px;">
                    <p class="text-black-50 font-weight-bold f08 mb-1">Menampilkan Semua Data Yang Berhasil Di
                        Bayarkan</p>
                </div>
            </div>
            <section></section>
            <section id="panel-payment" class="container-fluid">

            </section>
        </div>
    </div>
    <div id="content">

    </div>

    <div class="space-25h"></div>

{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        function subscriptionContent(v) {
            let {subscriptionCode, confirmedAt, id} = v;
            let name = v['skill']['user']['profile']['name'];
            let avatar = v['skill']['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
            let category = v['skill']['category']['name'];
            let level = v['skill']['level']['name'];
            let isExpired = v['requestCart']['isExpired'];
            let status = '';
            let classStatus = 'menunggu-konfirmasi-pengajar';
            let redirect = '/member/subscription/detail/' + id;
            switch (v['status']) {
                case 0:
                    status = 'Menunggu Checkout';
                    classStatus = 'menunggu-konfirmasi-pengajar';
                    break;
                case 1:
                    status = 'Aktif';
                    classStatus = 'aktif';
                    break;
                case 6:
                    status = 'Pesanan Di Batalkan';
                    classStatus = 'menunggu-konfirmasi-pengajar';
                    break;
                case 9:
                    status = 'Selesai';
                    classStatus = 'selesai';
                    break;
                default:
                    break;
            }

            if(v['status'] === 0 && v['confirmedAt'] === null){
                status = 'Menunggu Konfirmasi Pengajar';
                classStatus = 'menunggu-konfirmasi-pengajar';
            }

            if(v['status'] === 0 && isExpired === true){
                status = 'Pesanan Expired';
                classStatus = 'menunggu-konfirmasi-pengajar';
            }
            let elConfirmedAt = '<p class="subtitle">Menunggu Konfirmasi Pengajar</p>';
            if (confirmedAt !== null) {
                let tempConfirmedAt = new Date(confirmedAt);
                let strConfirmedAt = tempConfirmedAt.toLocaleDateString('id-ID', {
                    year: 'numeric',
                    month: 'long',
                    day: 'numeric',
                    hour: 'numeric',
                    minute: 'numeric',
                    second: 'numeric'
                })
                elConfirmedAt = '<p class="subtitle">Terkonfirmasi Pada ' + strConfirmedAt + '</p>';
            }
            return '<div class="gen-card" data-id="'+id+'">' +
                '<div style="border-bottom: 1px solid #ddd; padding: 1em">' +
                '<div class="d-flex justify-content-between align-items-center mb-2">\n' +
                '<p class="text-black-50 mb-0 f08">Nomor Langganan : #' + subscriptionCode + '</p>\n' +
                '<i class="mdi mdi-more-vert fa12"></i>\n' +
                '</div>' +
                '<div class="header-profile mb-0">\n' +
                '<div class="gambar-div-sm">\n' +
                '<img src="' + avatar + '">' +
                '</div>\n' +
                '<div class="content">\n' +
                '<p class="title">' + name + '</p>\n' +
                '<p class="subtitle mb-0">' + category + ' - ' + level + '</p>\n' + elConfirmedAt +
                '</div>\n' +
                '</div>\n' +
                '</div>' +
                '<div style="padding: 1em">\n' +
                // '<div class="d-flex justify-content-between">\n' +
                // '<a class="t-primary font-weight-bold f10" href="' + redirect + '">Detail </a>\n' +
                // '</div>\n' +
                '<p class="' + classStatus + ' f08">\n' + status +
                '</p>\n' +
                '</div>' +
                '</div>';
        }

        function emptyContent(text = 'Maaf Tidak Ada Data Berlangganan') {
            return '<div class="d-flex justify-content-center align-items-center" style="min-height: 300px">' + text +
                '</div>'
        }

        async function getSubscriptionList() {
            let status = $('input[name=type]:checked').val();
            let el = $('#panel-transaction');
            el.onDataLoading('Mohon Tunggu Sebentar. Sedang Mengunduh Data Langganan...')
            let response = await $.get('/member/subscription/list', {status});
            console.log(response)
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload']['data'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        el.append(subscriptionContent(v));
                    });

                    $('.gen-card').on('click', function () {
                        let id = this.dataset.id;
                        window.location.href = '/member/subscription/detail/' + id;
                    })
                } else {
                    el.append(emptyContent());
                }
            }
        }

        $(document).ready(function () {
            getSubscriptionList();
            $('.check-status').on('click', function () {
                getSubscriptionList();
            });
        })
    </script>
{% endblock %}